<?php

/*
* @name JoomSimple Content Protection 1.141
* @type Joomla 1.6 Plugin
* @author JoomSimple.com
* @website http://JoomSimple.com
* @email ugn@joomsimple.com
* @copyright Copyright (C) 2011 JoomSimple. All rights reserved.
* @license http://www.gnu.org/licenses/gpl.html - GNU GENERAL PUBLIC LICENSE
*
*	JoomSimple Content Protection Plugin is free software: 
*	you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation, either version 3 of the License, or
*	(at your option) any later version.
*
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*/ 

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.event.plugin' );

class plgSystemContentProtection extends JPlugin {

	function plgSystemContentProtection( &$subject, $config ) {
		parent::__construct( $subject, $config );
	}

	function onAfterDispatch() {
		$uri = JRequest::getURI();
		if( strpos( 'J'. $uri, 'administrator/' ) ){
			return;
		}
		
		$plugin =& JPluginHelper::getPlugin( 'system', 'contentprotection' );

		$message = trim( $this->params->get( 'message' ) );
		$show_message = trim( $this->params->get( 'show_message' ) );
		$disallow_r_click = trim( $this->params->get( 'disallow_r_click' ) );
		$disallow_copy = trim( $this->params->get( 'disallow_copy' ) );

		$utypes_opt = array($this->params->get( 'utype1' ), $this->params->get( 'utype2' ), $this->params->get( 'utype3' ), $this->params->get( 'utype4' ), $this->params->get( 'utype5' ), $this->params->get( 'utype6' ), $this->params->get( 'utype7' ));
		$utypes = array('Registered', 'Author', 'Editor', 'Publisher', 'Manager', 'Administrator', 'Super Users');

		foreach($utypes_opt as $k => $v)
			if(!$v)
				unset($utypes[$k]);

		$comment = "";
		if( $show_message )
			$comment = "//";
			

		$r_click = " 
					function clickExplorer() {
						if( document.all ) {
							${comment}alert('".str_replace("'", "\'", $message)."');
						}
						return false;
					}

					function clickOther(e) {
						if( document.layers || ( document.getElementById && !document.all ) ) {
							if ( e.which == 2 || e.which == 3 ) {
								${comment}alert('".str_replace("'", "\'", $message)."');
								return false;
							}
						}
					}
					if( document.layers ) {
						document.captureEvents( Event.MOUSEDOWN );
						document.onmousedown=clickOther;
					}
					else {
						document.onmouseup = clickOther;
						document.oncontextmenu = clickExplorer;
					} ";
		$script = " window.addEvent('domready', function() { 
				   
	
				    document.body.oncopy = function() { 
							${comment}alert('".str_replace("'", "\'", $message)."'); 
					";
		if( $disallow_copy )
			$script .= " return false; } });  
						 if( typeof( document.onselectstart ) != 'undefined' )
							document.onselectstart = function(){ return false };
						 document.ondragstart = function(){ return false } ";
		else
			$script .= " } }); ";
	
		$doc =& JFactory::getDocument();
		$user =& JFactory::getUser();
		$db = JFactory::getDbo();
		
		$query = $db->getQuery(true);
		$query->select('g.title AS group_name')
		->from('#__usergroups AS g')
		->leftJoin('#__user_usergroup_map AS map ON map.group_id = g.id')
		->where('map.user_id = '.(int) $user->id);
		$db->setQuery($query);
		$ugp = $db->loadObject();

		if(in_array($ugp->group_name, $utypes) || $user->guest) {
			if( $disallow_r_click )
				$doc->addScriptDeclaration( " /* <![CDATA[ */ $r_click  /* ]]> */ ");
			$doc->addScriptDeclaration( " /* <![CDATA[ */ $script  /* ]]> */ " );
		}
	}
}

?>
